@charset "utf-8";
/* CSS Document */
#splash {
  /*fixedで全面に固定*/
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 2000;
  background: #fefff0;
  text-align: center;
  color: #fff;
}

/* Loading画像中央配置　*/
#splash_logo {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* Loading アイコンの大きさ設定　*/
#splash_logo img,
#splash_logo picture {
  width: 150px;
}

/* fadeUpをするアイコンの動き */
.fadeUp {
  animation-name: fadeUpAnime;
  animation-duration: 1s;
  animation-fill-mode: forwards;
  opacity: 0;
}

@keyframes fadeUpAnime {
  from {
    opacity: 0;
    transform: translateY(100px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* 1200px以上 (大型デバイス) */
@media (max-width: 1439px) {
  #splash_logo img,
  #splash_logo picture {
    width: 120px;
  }
}

/* 1024px以上 (中型デバイス) */
@media (max-width: 1199px) {
  #splash_logo img,
  #splash_logo picture {
    width: 100px;
  }
}

/* 768px以上 (小型デバイス) */
@media (max-width: 1023px) {
}

/* 480px以上 (非常に小型デバイス) */
@media (max-width: 767px) {
}

/* 380px以上 (非常に小型デバイス) */
@media (max-width: 479px) {
}

/* 380px未満 (非常に小型デバイス) */
@media (max-width: 380px) {
}

/* 縦向きのときのスタイル かつ 768px以上 (小型デバイス) */
@media (orientation: portrait) and (max-width: 1023px) {
  #splash_logo,
  #splash_logo picture {
    width: 120px;
  }
}
